DROP TABLE IF EXISTS exile_commandqueue;
DROP TABLE IF EXISTS exile_commandreply;
DROP TABLE IF EXISTS exile_commands;
DROP TABLE IF EXISTS exile_chanlog;
DROP TABLE IF EXISTS exile_chban;
DROP TABLE IF EXISTS exile_chexempt;
DROP TABLE IF EXISTS exile_exempt;
DROP TABLE IF EXISTS exile_dnsbl;
DROP TABLE IF EXISTS exile_dnsbl_data;
DROP TABLE IF EXISTS exile_chan;
DROP TABLE IF EXISTS exile_gline;
DROP TABLE IF EXISTS exile_shun;
DROP TABLE IF EXISTS exile_ison;
DROP TABLE IF EXISTS exile_server;
DROP TABLE IF EXISTS exile_user;
DROP TABLE IF EXISTS exile_maxvalues;

CREATE TABLE exile_commandqueue (
  commandid int unsigned NOT NULL,
  nickid int unsigned NOT NULL,
  KEY commandid (commandid),
  KEY nickid (nickid)
) TYPE=MyISAM;

CREATE TABLE exile_commandreply (
  commandid int unsigned NOT NULL,
  reply text,
  KEY commandid (commandid)
) TYPE=MyISAM;

CREATE TABLE exile_commands (
  commandid int unsigned NOT NULL auto_increment,
  source varchar(6) NOT NULL default '',
  command varchar(15) NOT NULL default '',
  target varchar(31) NOT NULL default '',
  params text,
  fsent enum('Y','N') NOT NULL default 'N',
  processed enum('Y','N') NOT NULL default 'N',
  reply enum('Y','N') NOT NULL default 'Y',
  linesexpecting int unsigned NOT NULL default '',
  PRIMARY KEY  (commandid)
) TYPE=MyISAM;

CREATE TABLE exile_chanlog (
  logid int unsigned NOT NULL,
  chanid int unsigned NOT NULL default '0',
  time int unsigned NOT NULL default '',
  nick varchar(31) NOT NULL default '',
  message text,
  KEY logid (logid),
  KEY chanid (chanid)
) TYPE=MyISAM;

CREATE TABLE exile_chban (
  banid int unsigned NOT NULL auto_increment,
  chanid int unsigned NOT NULL default '0',
  ban varchar(100) NOT NULL default '',
  PRIMARY KEY  (banid),
  KEY chanid (chanid)
) TYPE=MyISAM;

CREATE TABLE exile_chexempt (
  exemptid int unsigned NOT NULL auto_increment,
  chanid int unsigned NOT NULL default '0',
  exempt varchar(100) NOT NULL default '',
  PRIMARY KEY  (exemptid),
  KEY chanid (chanid)
) TYPE=MyISAM;

CREATE TABLE exile_dnsbl (
  dnsblid int unsigned NOT NULL auto_increment,
  nickid int unsigned NOT NULL default '',
  flags varchar(10) NOT NULL default '',  
  host varchar(100) NOT NULL default '',
  KEY dnsblid (dnsblid),
  KEY nickid (nickid)
) TYPE=MyISAM;

CREATE TABLE exile_dnsbl_data (
  dnsblid int unsigned NOT NULL default '',
  nickid int unsigned NOT NULL default '',
  dnsbl varchar(100) NOT NULL default '',
  KEY dnsblid (dnsblid),
  KEY nickid (nickid)
) TYPE=MyISAM;

CREATE TABLE exile_gline (
  glineid int unsigned NOT NULL auto_increment,
  gmask varchar(100) NOT NULL default '',
  expire int unsigned NOT NULL default '',
  lastmod int unsigned NOT NULL default '',
  reason text,
  PRIMARY KEY  (glineid)
) TYPE=MyISAM;

CREATE TABLE exile_shun (
  shunid int unsigned NOT NULL auto_increment,
  smask varchar(100) NOT NULL default '',
  expire int unsigned NOT NULL default '',
  lastmod int unsigned NOT NULL default '',
  reason text,
  PRIMARY KEY  (shunid)
) TYPE=MyISAM;

CREATE TABLE exile_exempt (
  exemptid int unsigned NOT NULL auto_increment,
  emask varchar(100) NOT NULL default '',
  expire int unsigned NOT NULL default '',
  PRIMARY KEY  (exemptid)
) TYPE=MyISAM;

CREATE TABLE exile_chan (
  chanid int unsigned NOT NULL auto_increment,
  channel varchar(201) binary NOT NULL default '',
  topic text,
  topicauthor varchar(31) default NULL,
  topictime datetime default NULL,
  mode_la enum('Y','N') NOT NULL default 'N',
  mode_lb enum('Y','N') NOT NULL default 'N',
  mode_lc enum('Y','N') NOT NULL default 'N',
  mode_le enum('Y','N') NOT NULL default 'N',
  mode_lh enum('Y','N') NOT NULL default 'N',
  mode_li enum('Y','N') NOT NULL default 'N',
  mode_lk enum('Y','N') NOT NULL default 'N',
  mode_ll enum('Y','N') NOT NULL default 'N',
  mode_lm enum('Y','N') NOT NULL default 'N',
  mode_ln enum('Y','N') NOT NULL default 'N',
  mode_lp enum('Y','N') NOT NULL default 'N',
  mode_lr enum('Y','N') NOT NULL default 'N',
  mode_ls enum('Y','N') NOT NULL default 'N',
  mode_lt enum('Y','N') NOT NULL default 'N',
  mode_lv enum('Y','N') NOT NULL default 'N',
  mode_lz enum('Y','N') NOT NULL default 'N',
  mode_uc enum('Y','N') NOT NULL default 'N',
  mode_ul enum('Y','N') NOT NULL default 'N',
  mode_um enum('Y','N') NOT NULL default 'N',
  mode_un enum('Y','N') NOT NULL default 'N',
  mode_uo enum('Y','N') NOT NULL default 'N',
  mode_uq enum('Y','N') NOT NULL default 'N',
  mode_us enum('Y','N') NOT NULL default 'N',
  mode_ut enum('Y','N') NOT NULL default 'N',
  mode_uz enum('Y','N') NOT NULL default 'N',
  mode_ll_data int(10) NOT NULL default '0',
  mode_lk_data varchar(23) NOT NULL default '',
  PRIMARY KEY  (chanid),
  UNIQUE KEY channel (channel)
) TYPE=MyISAM;

CREATE TABLE exile_ison (
  nickid int unsigned NOT NULL default '0',
  chanid int unsigned NOT NULL default '0',
  mode_lo enum('Y','N') NOT NULL default 'N',
  mode_lh enum('Y','N') NOT NULL default 'N',
  mode_lv enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (nickid,chanid),
  KEY nickid (nickid),
  KEY chanid (chanid)
) TYPE=MyISAM;

CREATE TABLE exile_server (
  servid int unsigned NOT NULL auto_increment,
  server varchar(64) NOT NULL default '',
  snumeric varchar(64) NOT NULL default '',
  comment varchar(255) NOT NULL default '',
  linkedto int unsigned default NULL,
  connecttime datetime default NULL,
  online enum('Y','N') NOT NULL DEFAULT 'Y',
  lastsplit datetime default NULL,
  PRIMARY KEY  (servid),
  UNIQUE KEY server (server),
  KEY linkedto (linkedto)
) TYPE=MyISAM;


CREATE TABLE exile_user (
  nickid int unsigned NOT NULL auto_increment,
  nick varchar(31) NOT NULL default '',
  snumeric varchar(31) binary NOT NULL default '',
  account varchar(31) NOT NULL default '',
  acctimestamp int unsigned NOT NULL default '',
  realname varchar(51) NOT NULL default '',
  hostname varchar(64) NOT NULL default '',
  sethost varchar(64) NOT NULL default '',
  fakehost varchar(64) NOT NULL default '',
  virthost varchar(64) NOT NULL default '',
  ipaddr varchar(16) NOT NULL default '',
  username varchar(11) NOT NULL default '',
  connecttime datetime NOT NULL default '0000-00-00 00:00:00',
  servid int unsigned NOT NULL default '0',
  away enum('Y','N') NOT NULL default 'N',
  awaymsg text,
  swhois text,
  online enum('Y','N') NOT NULL DEFAULT 'Y',
  lastquit datetime default NULL,
  datetime varchar(11) NOT NULL DEFAULT '0',
  mode_la enum('Y','N') NOT NULL default 'N',  
  mode_ld enum('Y','N') NOT NULL default 'N',  
  mode_lf enum('Y','N') NOT NULL default 'N',  
  mode_lg enum('Y','N') NOT NULL default 'N',  
  mode_lh enum('Y','N') NOT NULL default 'N',  
  mode_li enum('Y','N') NOT NULL default 'N',  
  mode_lk enum('Y','N') NOT NULL default 'N',  
  mode_ln enum('Y','N') NOT NULL default 'N',  
  mode_lo enum('Y','N') NOT NULL default 'N',  
  mode_lr enum('Y','N') NOT NULL default 'N',  
  mode_ls enum('Y','N') NOT NULL default 'N',  
  mode_lw enum('Y','N') NOT NULL default 'N',  
  mode_lx enum('Y','N') NOT NULL default 'N',  
  mode_uB enum('Y','N') NOT NULL default 'N',  
  mode_uI enum('Y','N') NOT NULL default 'N',  
  mode_uR enum('Y','N') NOT NULL default 'N',  
  mode_uW enum('Y','N') NOT NULL default 'N',  
  mode_uX enum('Y','N') NOT NULL default 'N',  
  PRIMARY KEY  (nickid),
  UNIQUE KEY nick (nick),
  KEY servid (servid)
) TYPE=MyISAM;

CREATE TABLE exile_maxvalues (
  type varchar(10) NOT NULL default '',
  val int unsigned NOT NULL default '0',
  time datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY(type)
) TYPE=MyISAM;
